package com.uas.account.entity;

import java.io.Serializable;

/**
 * 详细个人资料
 * 
 * @author yingp
 *
 */
public class UserDetail implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String mobile;
	private String email;
	private String name;
	private String idCode;
	private String sex;
	private String avatar;
	private Long birthday;
	private Integer valid;
	private String department;
	private String job;

	private String checkcode;
	private String checkcodeToken;

	/**
	 * 优软众创注册时的同步信息：唯一标识
	 */
	private String uid;

	/**
	 * 优软众创注册时的同步信息：盐值
	 */
	private String salt;

	/**
	 * 设置数据来源
	 */
	private String source;

	/**
	 * 上次登录时间
	 */
	private Long lastLoginTime;

	public UserDetail() {
	}

	public UserDetail(UserSpaceDetail detail) {
		this.mobile = detail.getAdminTel();
		this.email = detail.getAdminEmail();
		this.name = detail.getAdminName();
		this.job = "管理员";
	}

	/**
	 * 手机号
	 * 
	 * @return
	 */
	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	/**
	 * 邮箱
	 * 
	 * @return
	 */
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * 姓名
	 * 
	 * @return
	 */
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	/**
	 * 身份证号
	 * 
	 * @return
	 */
	public String getIdCode() {
		return idCode;
	}

	public void setIdCode(String idCode) {
		this.idCode = idCode;
	}

	/**
	 * 性别
	 * 
	 * @return
	 */
	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	/**
	 * 头像
	 * 
	 * @return
	 */
	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	/**
	 * 生日
	 * 
	 * @return
	 */
	public Long getBirthday() {
		return birthday;
	}

	public void setBirthday(Long birthday) {
		this.birthday = birthday;
	}

	/**
	 * 是否已验证
	 * 
	 * @return
	 */
	public Integer getValid() {
		return valid;
	}

	public void setValid(Integer valid) {
		this.valid = valid;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getJob() {
		return job;
	}

	public void setJob(String job) {
		this.job = job;
	}


	public String getCheckcode() {
		return checkcode;
	}

	public void setCheckcode(String checkcode) {
		this.checkcode = checkcode;
	}

	public String getCheckcodeToken() {
		return checkcodeToken;
	}

	public void setCheckcodeToken(String checkcodeToken) {
		this.checkcodeToken = checkcodeToken;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getSalt() {
		return salt;
	}

	public void setSalt(String salt) {
		this.salt = salt;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public Long getLastLoginTime() {
		return lastLoginTime;
	}

	public void setLastLoginTime(Long lastLoginTime) {
		this.lastLoginTime = lastLoginTime;
	}
}
